> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bridgly.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List comments authored by a LinkedIn member



## OpenAPI

````yaml /openapi.json post /linkedin/get-profile-comments
openapi: 3.1.0
info:
  title: Bridgly API
  description: >-
    Web scraping API for LinkedIn, X (Twitter) and Reddit. Authenticated
    endpoints accept a Bridgly API key (`bgly_…`) via `Authorization: Bearer
    <token>`.
  version: 1.0.0
servers:
  - url: https://api.bridgly.app
    description: Production
security: []
tags:
  - name: LinkedIn
    description: Scrape LinkedIn profiles, companies, posts, and search.
  - name: Reddit
    description: Scrape Reddit posts, subreddits, users, and search.
  - name: X (Twitter)
    description: Scrape tweets and search X.
paths:
  /linkedin/get-profile-comments:
    post:
      tags:
        - LinkedIn
      summary: List comments authored by a LinkedIn member
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                publicId:
                  type: string
                  description: The member public identity, e.g. "williamhgates".
                count:
                  description: Number of comments to return. Defaults to 50.
                  type: integer
                  minimum: 1
                  maximum: 9007199254740991
                start:
                  description: Pagination offset into the comment list. Defaults to 0.
                  type: integer
                  minimum: 0
                  maximum: 9007199254740991
              required:
                - publicId
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  timeMs:
                    type: number
                    description: >-
                      Wall-clock time the request took to complete, in
                      milliseconds.
                  creditsCost:
                    type: number
                    description: Number of account credits this request consumed.
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        urn:
                          anyOf:
                            - type: string
                            - type: 'null'
                          description: >-
                            The comment's `urn:li:fsd_comment:(...)` (from `urn`
                            or `entityUrn`).
                        text:
                          anyOf:
                            - type: string
                            - type: 'null'
                          description: The comment body text.
                        authorName:
                          anyOf:
                            - type: string
                            - type: 'null'
                          description: Display name of the commenter (the member).
                        createdTime:
                          anyOf:
                            - type: number
                            - type: 'null'
                          description: >-
                            Creation time as a Unix epoch in milliseconds
                            (LinkedIn's native unit).
                        permalink:
                          anyOf:
                            - type: string
                            - type: 'null'
                          description: Absolute or site-relative permalink to the comment.
                        rootActivityUrn:
                          anyOf:
                            - type: string
                            - type: 'null'
                          description: >-
                            URN of the post/activity the comment was left on,
                            when resolvable.
                        parentCommentUrn:
                          anyOf:
                            - type: string
                            - type: 'null'
                          description: >-
                            URN of the parent comment when this is a reply, else
                            null.
                      required:
                        - urn
                        - text
                        - authorName
                        - createdTime
                        - permalink
                        - rootActivityUrn
                        - parentCommentUrn
                      additionalProperties: false
                required:
                  - timeMs
                  - creditsCost
                  - data
                additionalProperties: false
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                    description: Human-readable description of what went wrong.
                required:
                  - status
                  - message
                additionalProperties: false
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                    description: Human-readable description of what went wrong.
                required:
                  - status
                  - message
                additionalProperties: false
        '402':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                    description: Human-readable description of what went wrong.
                required:
                  - status
                  - message
                additionalProperties: false
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                    description: Human-readable description of what went wrong.
                required:
                  - status
                  - message
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - error
                  message:
                    type: string
                    description: Human-readable description of what went wrong.
                required:
                  - status
                  - message
                additionalProperties: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        A Bridgly API key (`bgly_…`). Metered endpoints deduct credits from the
        resolved account.

````